diff --git a/compiler/typecheck/TcMatches.lhs b/compiler/typecheck/TcMatches.lhs
index 08ce774..71a4fae 100644
--- a/compiler/typecheck/TcMatches.lhs
+++ b/compiler/typecheck/TcMatches.lhs
@@ -805,22 +799,22 @@ tcDoStmt ctxt (RecStmt { recS_stmts = stmts, recS_later_ids = later_names
                    do { tup_rets <- zipWithM tcCheckId tup_names tup_elt_tys
                              -- Unify the types of the "final" Ids (which may 
                              -- be polymorphic) with those of "knot-tied" Ids
-		      ; ret_op' <- tcSyntaxOp DoOrigin ret_op (mkFunTy tup_ty inner_res_ty)
+                      ; ret_op' <- tcSyntaxOp DoOrigin ret_op (mkFunTy tup_ty inner_res_ty)
                       ; return (ret_op', tup_rets) }
 
-	; mfix_res_ty <- newFlexiTyVarTy liftedTypeKind
+        ; mfix_res_ty <- newFlexiTyVarTy liftedTypeKind
         ; mfix_op' <- tcSyntaxOp DoOrigin mfix_op
                                  (mkFunTy (mkFunTy tup_ty stmts_ty) mfix_res_ty)
 
-	; new_res_ty <- newFlexiTyVarTy liftedTypeKind
+        ; new_res_ty <- newFlexiTyVarTy liftedTypeKind
         ; bind_op' <- tcSyntaxOp DoOrigin bind_op 
-			         (mkFunTys [mfix_res_ty, mkFunTy tup_ty new_res_ty] res_ty)
+                                 (mkFunTys [mfix_res_ty, mkFunTy tup_ty new_res_ty] res_ty)
 
         ; thing <- thing_inside new_res_ty
   
         ; let rec_ids = takeList rec_names tup_ids
-	; later_ids <- tcLookupLocalIds later_names
-	; traceTc "tcdo" $ vcat [ppr rec_ids <+> ppr (map idType rec_ids),
+        ; later_ids <- tcLookupLocalIds later_names
+        ; traceTc "tcdo" $ vcat [ppr rec_ids <+> ppr (map idType rec_ids),
                                  ppr later_ids <+> ppr (map idType later_ids)]
         ; return (RecStmt { recS_stmts = stmts', recS_later_ids = later_ids
                           , recS_rec_ids = rec_ids, recS_ret_fn = ret_op' 
@@ -836,7 +830,7 @@ tcDoStmt _ stmt _ _
 Note [Treat rebindable syntax first]
 ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 When typechecking
-	do { bar; ... } :: IO ()
+        do { bar; ... } :: IO ()
 we want to typecheck 'bar' in the knowledge that it should be an IO thing,
 pushing info from the context into the RHS.  To do this, we check the
 rebindable syntax first, and push that information into (tcMonoExprNC rhs).
@@ -845,9 +839,9 @@ the expected/inferred stuff is back to front (see Trac #3613).
 
 
 %************************************************************************
-%*									*
+%*                                                                      *
 \subsection{Errors and contexts}
-%*									*
+%*                                                                      *
 %************************************************************************
 
 @sameNoOfArgs@ takes a @[RenamedMatch]@ and decides whether the same
@@ -862,9 +856,9 @@ checkArgs fun (MG { mg_alts = match1:matches })
     = return ()
     | otherwise
     = failWithTc (vcat [ptext (sLit "Equations for") <+> quotes (ppr fun) <+> 
-			  ptext (sLit "have different numbers of arguments"),
-			nest 2 (ppr (getLoc match1)),
-			nest 2 (ppr (getLoc (head bad_matches)))])
+                          ptext (sLit "have different numbers of arguments"),
+                        nest 2 (ppr (getLoc match1)),
+                        nest 2 (ppr (getLoc (head bad_matches)))])
   where
     n_args1 = args_in_match match1
     bad_matches = [m | m <- matches, args_in_match m /= n_args1]
